## thermald 2.5.8

=== debian/changelog ===
thermald (2.5.8-2) unstable; urgency=medium

  * Pull in three upstream fixes:
   - Replace " \n" with "\n"
   - test: Fix spelling mistake "Ploting" -> "Plotting"
   - src: thd_dbus_interface: add extra sanity check on introspection_data
  * debian/copyright: Update copyright year

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 22 Jan 2025 17:29:14 +0000

thermald (2.5.8-1) unstable; urgency=medium

  * sync to thermald 2.5.8

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 15 Aug 2024 15:41:24 +0100

thermald (2.5.7-4) unstable; urgency=medium

  * debian/control: Build-Depends: add dh-sequence-movetousr (Closes: #1073768)
  * debian/control: update Standards-Version to  4.7.0

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 8 Aug 2024 11:01:11 +0100

## thermald 2.5.9

=== debian/changelog ===
thermald (2.5.9-2) unstable; urgency=medium

  * Orphan upload
  * Update Maintainer field to Debian QA Group <packages@qa.debian.org>
    so package can be orphaned
  * Update standards version to 4.7.2

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 15 Sep 2025 13:35:23 +0100

thermald (2.5.9-1) unstable; urgency=medium

  * sync to thermald 2.5.9
  * remove patches now that they are in 2.5.9

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 11 Feb 2025 16:24:23 +0000

=== debian/control ===
Source: thermald
Rules-Requires-Root: no
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper (>= 13),
               debhelper-compat (=13),
               dh-sequence-movetousr,
               systemd-dev,
               autoconf,
               autoconf-archive,
               gtk-doc-tools,
               libupower-glib-dev,
               libevdev-dev,
               libglib2.0-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libxml2-dev
Homepage: https://github.com/intel/thermal_daemon

Package: thermald
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Thermal monitoring and controlling daemon
 Thermal Daemon is a Linux daemon for monitoring and
 controlling platform temperatures. Once the system
 temperature reaches a certain threshold, the Linux daemon
 activates various cooling methods to try to cool the system.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

# this path for systemdsystemunitdir is correct for Debian, and avoids
# needing to build-depend on systemd for systemd.pc

override_dh_update_autotools_config:
	mkdir -p m4
	aclocal --install
	gtkdocize --copy --flavour no-tmpl

override_dh_auto_configure:
	dh_auto_configure -- --with-systemdsystemunitdir=/lib/systemd/system

override_dh_install:
	dh_install

override_dh_installinit:
	dh_installinit --error-handler=true

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.][\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/intel/thermal_daemon/tags \
             (?:.*?/)?v?(\d[\d.][\d.]*)\.tar\.gz debian uupdate

## thermald 2.5.10

=== test/Makefile ===
obj-m += thermald_test_kern_module.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== debian/changelog ===
thermald (2.5.10-1) unstable; urgency=medium

  * New upstream version 2.5.10
  * New maintainer (Closes: #1111187)
  * Add casting in thd_log_info call to fix FTBFS issue on i386
  * d/copyright updated

 -- Lucas de Castro Borges <lucas@gnuabordo.com.br>  Mon, 22 Dec 2025 11:10:00 -0300

thermald (2.5.9-4) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * d/README.source: Drop obsolete file.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Add Vcs fields.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Mon, 22 Dec 2025 10:10:00 +0100

thermald (2.5.9-3) unstable; urgency=medium

  * QA upload.
  * Rely on systemd.pc (from systemd-dev) to set the correct install path for
    unit files.
  * Remove usage of dh-sequence-movetousr. No longer necessary if files are
    installed directly into /usr.
  * Remove /etc/thermald/thermal-cpu-cdev-order.xml from debian/conffiles.
    Files in /etc are automatically marked as conffiles. Fixes lintian error
    "duplicate-conffile etc/thermald/thermal-cpu-cdev-order.xml".

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Nov 2025 12:17:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: thermald
-Rules-Requires-Root: no
 Section: admin
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Lucas de Castro Borges <lucas@gnuabordo.com.br>
 Standards-Version: 4.7.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
-               dh-sequence-movetousr,
                systemd-dev,
                autoconf,
                autoconf-archive,
@@ -18,6 +15,8 @@
                libdbus-glib-1-dev,
                libxml2-dev
 Homepage: https://github.com/intel/thermal_daemon
+Vcs-Git: https://salsa.debian.org/debian/thermald.git
+Vcs-Browser: https://salsa.debian.org/debian/thermald
 
 Package: thermald
 Architecture: i386 amd64

## thermald 2.5.11

=== debian/changelog ===
thermald (2.5.11-0ubuntu1) resolute; urgency=medium

  * New upstream 2.5.11 release (LP: #2122576)

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Thu, 12 Feb 2026 11:37:10 +0100

thermald (2.5.10-0ubuntu1) resolute; urgency=medium

  * New upstrean 2.5.10 release
  * Add ITMT3 table support (LP: #2122576)
    - d/p/0001-itmt3-support.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Mon, 20 Oct 2025 14:37:24 +0800

thermald (2.5.9-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:25:02 +0200

## thermald 2.15.10

=== debian/changelog ===
thermald (2.15.10-1) unstable; urgency=medium

  * New maintainer (Closes: #1111187)
  * New upstream version
  * Update d/copyright

 -- Lucas de Castro Borges <lucas@gnuabordo.com.br>  Sat, 06 Dec 2025 16:07:13 -0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Source: thermald
+Rules-Requires-Root: no
 Section: admin
+Priority: optional
 Maintainer: Lucas de Castro Borges <lucas@gnuabordo.com.br>
 Standards-Version: 4.7.2
 Build-Depends: debhelper (>= 13),
@@ -15,8 +17,6 @@
                libdbus-glib-1-dev,
                libxml2-dev
 Homepage: https://github.com/intel/thermal_daemon
-Vcs-Git: https://salsa.debian.org/debian/thermald.git
-Vcs-Browser: https://salsa.debian.org/debian/thermald
 
 Package: thermald
 Architecture: i386 amd64
